apache_1.3.12,php4.0bx,informix安装心得_PHP

时间:2016-06-01 12:35:23 来源:互联网 作者: 神秘的大神 字体:

Apacheinformix

在Linux下安装apache_1.3.12,php4.0bx,informix时,先安装好informix,在装apache和php时要注意INFORMIXDIR,INFORMIXSERVER的环境变量要设,PATH要加上$INFORMIXDIR/bin,因为编译apache时要用esql;若无则错。
装apache_1.3.12和php-4.0b4pl1很顺利,需注意的是在configure apache时,变量--activate-module=src/modules/php4/libphp4.a 在src/modules/php4/下原本有个文件libmodphp4.a,Linux的Tab键有补全功能,容易把libphp4.a写成libmodphp4.a,但实际上libphp4.a是在make时编译的,程序先cp后ar,故若写成libmodphp4.a会出错。但是php-4.0b4pl1对汉字似乎不怎么支持,许多php在IE下成了乱码,在Netscape下表单变宽。改用php-4.0b2编译,但编译apache时老报错,有许多lib*.so找不着。用ldd命令看php-4.0b4pl1编译好的httpd需要什么链接文件:ldd /usr/local/apache/bin/httpd。这时会显示它链接的文件,这也是php-4.0b2所需的文件,把它们都拷到/lib下,加上PATH,再次编译,成功。对汉字也支持,不会出现乱码。(找不着的所需链接文件都在$INFORMIXDIR的lib/和lib/esql/下。原因:b2的编译文件做的不好,只会到/usr/lib和/lib下去找链接文件,希望php4正式版能抛弃b版的bug。)